Code-Scans auflisten
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/code-scans/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/code-scans/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/code-scans/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"effort": "normal",
"host": "<string>",
"org_id": "<string>",
"profile": {
"name": "<string>",
"profile_id": "<string>"
},
"repo_name": "<string>",
"scan_id": "<string>",
"scan_type": "security",
"status": "waiting",
"url": "<string>",
"outpost_pool_id": "<string>",
"platform": "<string>",
"repo_full_name": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code-Scans (Organisation)
Code-Scans auflisten (Devin API)
Devin-Code-Scans in einer Organisation auflisten und den Scanstatus pollen – mit Filtern nach Zeit und Repository über die v3-Organisations-API
GET
/
v3
/
organizations
/
{org_id}
/
code-scans
/
scans
Code-Scans auflisten
Berechtigungen
Erfordert einen Service-Benutzer oder ein persönliches Zugriffstoken mit der BerechtigungViewCodeScans auf Organisationsebene.
Verhalten
Gibt die Code-Scans der Organisation zurück, beginnend mit dem neuesten. Verwenden Sie diesen Endpunkt, um denstatus eines mit Code-Scan starten gestarteten Scans zu pollen: waiting → pending → running → completed (oder failed / cancelled). awaiting_user_input gilt nur für interaktive Scans: Ein mit interactive: true (oder interaktiv über die Web-App) gestarteter Sicherheitsscan hält zwischen Bedrohungsmodellierung und Untersuchung in diesem Status an, damit der Nutzer ein Review durchführen kann. Um Scans für alle Organisationen eines Enterprise aufzulisten, verwenden Sie Code-Scans auflisten (Enterprise).
Filter
time_after/time_before: Unix-Zeitstempel in Sekunden (UTC), die den Erstellungszeitpunkt des Scans eingrenzen.repo_name: nur Scans, die dieses Repo gescannt haben. Entspricht Multi-Repo-Scans, die dieses Repo enthalten.
after / first) paginiert.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Auf Scans filtern, die dieses Repository gescannt haben. Erfasst auch Multi-Repo-Scans, selbst wenn das Repository nicht das primäre Repo des Scans ist. Daher können zurückgegebene Einträge einen anderen repo_name angeben.
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Performance-Gründen weggelassen werden).

